#!/bin/bash -e

#####################################################
#
# These commands print out the formats and codecs that
# your installation of ffmpeg supports. You can customize
# ffmpeg to support additional formats, codecs and features 
# by using installation options or flags when compiling 
# from source.
#
# Mac (Homebrew): https://gist.github.com/Piasy/b5dfd5c048eb69d1b91719988c0325d8
# Linux & Windows: https://trac.ffmpeg.org/wiki/CompilationGuide/Ubuntu
#
# Usage: bash ffmpeg/format/support.sh
#
#####################################################

echo "Formats your FFMPEG install supports:"
ffmpeg -formats

sleep 10

echo "Codecs your FFMPEG install supports:"
ffmpeg -codecs
